JHelpNavigator

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help
Class JHelpNavigator

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.help.JHelpNavigator

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

Direct Known Subclasses:
  JHelpFavoritesNavigator, JHelpGlossaryNavigator, JHelpIndexNavigator, JHelpSearchNavigator, JHelpTOCNavigator

public class JHelpNavigator
extends javax.swing.JComponent
implements javax.accessibility.Accessible

A JHelpNavigator is a control that presents navigational help data. It is identified by a type and it interacts with a HelpModel. There are three JHelpNavigators that most JavaHelp implementations should support:

See Also:
  `JHelpTOCNavigator`, `JHelpIndexNavigator`, `This class is intended to be extended. To use this class by itself requires a platform look and feel (plaf) class that extends `javax.help.plaf.HelpNavigatorUI`. Additionally, the UIDefaults table requires an entry for "HelpViewerUI" that points to the plaf class.`, Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Field Summary

Fields inherited from class javax.swing.JComponent
`TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`JHelpNavigator(NavigatorView view)` Returns a JHelpNavigator with an instance of DefaultHelpModel as its data model.
`JHelpNavigator(NavigatorView view, HelpModel model)` Constructs a JHelpNavigator from some view and with a preexisting model and in default initial state of navigation entries.

Method Summary
`void` | `addHelpModelListener(HelpModelListener l)` Adds a listener for the HelpModelEvent posted after the model has changed.
`boolean` | `canMerge(NavigatorView view)` Determines if this instance of a JHelpNavigator can merge its data with another one.
`javax.accessibility.AccessibleContext` | `getAccessibleContext()` Get the AccessibleContext associated with this JComponent.
`javax.swing.Icon` | `getIcon()` Gets an icon to identify this Navigator.
`HelpModel` | `getModel()` Returns the HelpModel that provides the data.
`java.lang.String` | `getNavigatorLabel()` Gets the name of this navigator view.
`java.lang.String` | `getNavigatorLabel(java.util.Locale locale)` Gets locale-dependent name for this navigator view.
`java.lang.String` | `getNavigatorName()` Names this Navigator.
`NavigatorView` | `getNavigatorView()` Gets the NavigatorView that created this Navigator View.
`TreeItem[]` | `getSelectedItems()` Returns a list of selected items
`HelpNavigatorUI` | `getUI()` Returns the HelpUI that provides the current look and feel.
`java.lang.String` | `getUIClassID()`
`void` | `merge(NavigatorView view)` Merged a NavigatorView into this instance.
`void` | `remove(NavigatorView view)` Removes a NavigatorView from this instance.
`void` | `removeHelpModelListener(HelpModelListener l)` Removes a listener previously added with `addHelpModelListener`.
`void` | `setModel(HelpModel newModel)` Sets the HelpModel that provides the data.
`void` | `setSelectedItems(TreeItem[] selectedItems)` Sets the list of selected items
`void` | `setUI(HelpNavigatorUI ui)` Sets the HelpUI that provides the current look and feel.
`void` | `updateUI()` Replaces the UI with the latest version from the default UIFactory.

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JHelpNavigator

    public JHelpNavigator(NavigatorView view)

  Returns a JHelpNavigator with an instance of DefaultHelpModel as its data model.

Parameters:
  `view` - The NavigatorView to use. If `view` is null it creates a JHelpTOCNavigator with a null NavigatorView.

### JHelpNavigator

    public JHelpNavigator(NavigatorView view,
                          HelpModel model)

  Constructs a JHelpNavigator from some view and with a preexisting model and in default initial state of navigation entries.

Parameters:
  `view` - The NavigatorView. If `view` is null it creates a JHelpNavigator with a null NavigatorView.
  `model` - The model that generates changes. If `model` is null it creates a JHelpNavigator without a model.

Method Detail

### getSelectedItems

    public TreeItem[] getSelectedItems()

  Returns a list of selected items

### setSelectedItems

    public void setSelectedItems(TreeItem[] selectedItems)

  Sets the list of selected items

### getUIClassID

    public java.lang.String getUIClassID()

  Overrides:
    `getUIClassID` in class `javax.swing.JComponent`
  Returns:
    "HelpNavigatorUI"

### canMerge

    public boolean canMerge(NavigatorView view)

  Determines if this instance of a JHelpNavigator can merge its data with another one.

  Parameters:
    `view` - The data to merge.
  Returns:
    Whether it can be merged.
  See Also:
    `merge(NavigatorView)`, `remove(NavigatorView)`

### merge

    public void merge(NavigatorView view)

  Merged a NavigatorView into this instance.

  Parameters:
    `view` - The data to merge
  Throws:
    `UnsupportedOperationException`
  See Also:
    `canMerge(NavigatorView)`, `remove(NavigatorView)`

### remove

    public void remove(NavigatorView view)

  Removes a NavigatorView from this instance.

  Parameters:
    `view` - The data to merge
  Throws:
    `UnsupportedOperationException`
  See Also:
    `canMerge(NavigatorView)`, `merge(NavigatorView)`

### getNavigatorName

    public java.lang.String getNavigatorName()

  Names this Navigator.

  Returns:
    The name of this Navigator. This is locale independent and can be used by the application to identify the view.

### getNavigatorView

    public NavigatorView getNavigatorView()

  Gets the NavigatorView that created this Navigator View.

  Returns:
    the NavigatorView

### getNavigatorLabel

    public java.lang.String getNavigatorLabel()

  Gets the name of this navigator view.

  Returns:
    The label for this NavigatorView.

### getNavigatorLabel

    public java.lang.String getNavigatorLabel(java.util.Locale locale)

  Gets locale-dependent name for this navigator view.

  Returns:
    the label for this NavigatorView. If locale is null it is treated as the default Locale.

### getIcon

    public javax.swing.Icon getIcon()

  Gets an icon to identify this Navigator. Currently this is a read-only property.

  Returns:
    An icon to identify this navigator.

### setModel

    public void setModel(HelpModel newModel)

  Sets the HelpModel that provides the data.

  Parameters:
    `newModel` - The HelpModel for this component. A null for newModel is valid.

### getModel

    public HelpModel getModel()

  Returns the HelpModel that provides the data.

### setUI

    public void setUI(HelpNavigatorUI ui)

  Sets the HelpUI that provides the current look and feel.

### getUI

    public HelpNavigatorUI getUI()

  Returns the HelpUI that provides the current look and feel.

### updateUI

    public void updateUI()

  Replaces the UI with the latest version from the default UIFactory.

  Overrides:
    `updateUI` in class `javax.swing.JComponent`

### addHelpModelListener

    public void addHelpModelListener(HelpModelListener l)

  Adds a listener for the HelpModelEvent posted after the model has changed.

  Parameters:
    `l` - - The listener to add.
  See Also:
    `HelpModel.removeHelpModelListener(javax.help.event.HelpModelListener)`

### removeHelpModelListener

    public void removeHelpModelListener(HelpModelListener l)

  Removes a listener previously added with `addHelpModelListener`.

  Parameters:
    `l` - - The listener to remove.
  See Also:
    `HelpModel.addHelpModelListener(javax.help.event.HelpModelListener)`

### getAccessibleContext

    public javax.accessibility.AccessibleContext getAccessibleContext()

  Get the AccessibleContext associated with this JComponent.

  Specified by:
    `getAccessibleContext` in interface `javax.accessibility.Accessible`
  Overrides:
    `getAccessibleContext` in class `javax.swing.JComponent`
  Returns:
    The AccessibleContext of this JComponent

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD